<?php
//Vérification (non authentifié = retour index)
session_start();

if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

//Connexion à la BdD
include "../session/connexion.php";

//Récupération des valeurs depuis ajout.php
$nbrEtudiants = $_SESSION['nbrEtudiants'];
$nomGroupe = $_SESSION['nomGroupe'];

//Sélection de tous les étudiants
$etudiants=$objPdo->prepare('SELECT * FROM etudiant');
$etudiants->execute();

//Ajout du groupe
$result=$objPdo->prepare("INSERT INTO groupe VALUES (NULL, '$nomGroupe')" );
$result->execute();

//Sélection du no_groupe pour le stocker dans une valeur de traitement 
$groupe2=$objPdo->prepare("SELECT * FROM groupe WHERE libelle_groupe='$nomGroupe'");
$groupe2->execute();

 while($rowgroupe2=$groupe2->fetch())
 {
     $nogroupe=$rowgroupe2['no_groupe']; //Stocakge de la valeur
 }

include "fonctionsLogin.php"; //Cargement des  fontions utilisées

$i=1; //compteur

//insertion des valeurs dans la BdD de façon dynamique pour chaque Etudiant à partir du formulaire rempli

for($i;$i<=$nbrEtudiants;$i++)
{
		//Initialisation des variables de travail
        $nomEtu = "nomEtu".$i;
        $prenomEtu = "prenomEtu".$i;
        if($_POST[$nomEtu]!="" && $_POST[$prenomEtu]!="")
        {
        	$verif=true;
			while($rowEtudiants=$etudiants->fetch()){
			
        	if($_POST[$nomEtu]==$rowEtudiants['nom_etu'] && $_POST[$prenomEtu]==$rowEtudiants['prenom_etu']){
              	$verif=false; //Etudiant deja existant dans le groupe (pas de doublons)
            }
			}
			if($verif==true) //Etudiant inexistant pour le moment
			{
			// Génération du login et du mdp à l'aide de fonctions
            $mdp = GenereMdp();
            $identifiant = GenereLogin(htmlspecialchars($_POST[$nomEtu]),htmlspecialchars($_POST[$prenomEtu]));
			
			//Insertion d'une session associée à l'étudiant
            $result=$objPdo->prepare("INSERT INTO session VALUES (NULL, '$identifiant','$mdp','2')");
			$result->execute();
            
			//Récupération de l'id de la session crée
            $session=$objPdo->prepare("SELECT id_session FROM session WHERE (identifiant='$identifiant' AND mdp='$mdp')");
			$session->execute();
			
            while($rowSession=$session->fetch())
            {
                    $idsession=$rowSession['id_session']; //Stockage de la valeur dans une variable de travail
            }
			
			//Insertion de l'étudiant dans la BdD
            $result=$objPdo->prepare("INSERT INTO etudiant  VALUES (NULL, '" .htmlspecialchars($_POST[$nomEtu]). "','" .htmlspecialchars($_POST[$prenomEtu])."',' NULL ',' ".$nogroupe." ',' ".$idsession."')");
			$result->execute();
			}
			
			///////////////////////////////////////////
			///////////////////////////////////////////
			
			//Récup du no_etu 
			$noetudiant=$objPdo->prepare("SELECT no_etu FROM etudiant WHERE (id_session='$idsession')");
			$noetudiant->execute();
			
            while($rowNoetudiant=$noetudiant->fetch())
            {
                    $noEtuImage=$rowNoetudiant['no_etu']; //Stockage de la valeur dans une variable de travail
            }
			
			
			$nomFichier=$noEtuImage.'.jpg';
			
			//Modification du nom de l'image => no_etu
			$result=$objPdo->prepare("UPDATE etudiant SET image_etu= '$nomFichier' WHERE (id_session='$idsession')");
			$result->execute();
			
        }
}

header("Location: ../accueil.php"); //Redirection vers l'acceuil
?>